CVE-2005-3403
CVSS4.3
发布时间 :2005-11-01 07:47:00
修订时间 :2016-10-17 23:35:16
NMCO    

[原文]Multiple cross-site scripting (XSS) vulnerabilities in ATutor 1.4.1 through 1.5.1-pl1 allow remote attackers to inject arbitrary web script or HTML via (1) the _base_href parameter in translate.php, (2) the _base_path parameter in news.inc.php, and (3) the p parameter in add_note.php.


[CNNVD]ATutor多个跨站脚本漏洞(CNNVD-200511-009)

        ATutor是开放源码的基于Web的学习内容管理系统(LCMS)。
        在ATutor 1.4.1直到1.5.1-pl1中存在多个跨站脚本漏洞,这允许远程攻击者通过(1)translate.php页面的 the _base_href 参数, (2) news.inc.php页面的the _base_path参数, 和 (3)add_note.php页面的p参数.来注入任意的WEB脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:adaptive_technology_resource_centre:atutor:1.4.2
cpe:/a:adaptive_technology_resource_centre:atutor:1.5.1
cpe:/a:adaptive_technology_resource_centre:atutor:1.4.1
cpe:/a:adaptive_technology_resource_centre:atutor:1.5.1_pl1
cpe:/a:adaptive_technology_resource_centre:atutor:1.4.3

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3403
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3403
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200511-009
(官方数据源) CNNVD

- 其它链接及资源

http://atutor.ca/view/3/6158/1.html
(UNKNOWN)  CONFIRM  http://atutor.ca/view/3/6158/1.html
http://marc.info/?l=bugtraq&m=113043022821049&w=2
(UNKNOWN)  BUGTRAQ  20051027 Secunia Research: ATutor Multiple Vulnerabilities
http://securityreason.com/securityalert/123
(UNKNOWN)  SREASON  123
http://securitytracker.com/id?1015165
(UNKNOWN)  SECTRACK  1015165
http://www.securityfocus.com/bid/15221
(PATCH)  BID  15221
http://www.vupen.com/english/advisories/2005/2228
(UNKNOWN)  VUPEN  ADV-2005-2228

- 漏洞信息

ATutor多个跨站脚本漏洞
中危 跨站脚本
2005-11-01 00:00:00 2006-08-23 00:00:00
远程  
        ATutor是开放源码的基于Web的学习内容管理系统(LCMS)。
        在ATutor 1.4.1直到1.5.1-pl1中存在多个跨站脚本漏洞,这允许远程攻击者通过(1)translate.php页面的 the _base_href 参数, (2) news.inc.php页面的the _base_path参数, 和 (3)add_note.php页面的p参数.来注入任意的WEB脚本或HTML。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        http://atutor.ca/view/3/6158/1.html

- 漏洞信息

20347
ATutor translate.php _base_href Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

ATutor contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate the '_base_href' variable upon submission to the 'translate.php' script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2005-10-27 2005-10-10
Unknow Unknow

- 解决方案

Upgrade to version 1.5.2 or higher, as it has been reported to fix this vulnerability. In addition, ATutor has released a patch for some older versions.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站